Skip to main content
POST
/
api
/
v1
/
account
/
users
/
{uid}
/
accounts
/
{aid}
/
virtual-ibans
/
{vibanId}
/
deactivate
Deactivate vIBAN
curl --request POST \
  --url https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/virtual-ibans/{vibanId}/deactivate \
  --header 'Authorization: Bearer <token>'
{
  "accountHolder": "Revo Pay Inc.",
  "accountId": "4c2b8e5d-1f6a-4e7c-9d3b-2a8f5c1e9b4d",
  "accountNumber": "DE89370400440532013000",
  "bankName": "Commerzbank AG",
  "bic": "COBADEFFXXX",
  "createdAt": "2026-05-10T12:34:56.789Z",
  "id": "7a1f3c5b-2d8e-4f0a-9b6c-1e3d4f5a6b7c",
  "name": "vIBAN Alex",
  "payinMethodId": "85bcaa64-2a61-40d0-b7be-f7e24b252112",
  "provider": "MOCK",
  "rail": "SEPA",
  "rejectionReason": "OFAC hit on UBO 2026-05-10",
  "routingNumber": "021000021",
  "state": "ACTIVE",
  "updatedAt": "2026-05-10T12:34:56.789Z"
}

Documentation Index

Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key for accessing management endpoints

Path Parameters

uid
string
required

User ID

aid
string
required

Account ID

vibanId
string
required

vIBAN ID

Response

OK

accountHolder
string
Example:

"Revo Pay Inc."

accountId
string
Example:

"4c2b8e5d-1f6a-4e7c-9d3b-2a8f5c1e9b4d"

accountNumber
string
Example:

"DE89370400440532013000"

bankName
string
Example:

"Commerzbank AG"

bic
string
Example:

"COBADEFFXXX"

createdAt
string
Example:

"2026-05-10T12:34:56.789Z"

id
string
Example:

"7a1f3c5b-2d8e-4f0a-9b6c-1e3d4f5a6b7c"

name
string
Example:

"vIBAN Alex"

payinMethodId
string
Example:

"85bcaa64-2a61-40d0-b7be-f7e24b252112"

provider
string
Example:

"MOCK"

rail
string
Example:

"SEPA"

rejectionReason
string
Example:

"OFAC hit on UBO 2026-05-10"

routingNumber
string
Example:

"021000021"

state
enum<string>
Available options:
PENDING,
ACTIVE,
REJECTED,
INACTIVE
Example:

"ACTIVE"

updatedAt
string
Example:

"2026-05-10T12:34:56.789Z"